
User Interface - Bug #2427

do not allow ALT+space to show the popup menu for the OS window

10/23/2014 12:01 PM - Constantin Asofiei

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

Related issues:

Related to User Interface - Feature #2340: implement the window title bar Closed

History

#1 - 10/23/2014 12:05 PM - Constantin Asofiei

See notes 395, 396, 397 in #2252 - we need a way to disable the popup menu associated with the OS window, when ALT+Space is pressed

(different OSs might have different key combinations, ALT+Space works for Windows and Ubuntu).  There is an window state listener added in

GuiSimulator, which resizes the window back to the previous dimension when the OS window maximize is used, but this looks like it works only on

Windows.

#2 - 03/23/2016 01:01 PM - Greg Shah

- Tracker changed from Feature to Bug

Is this still an issue?

#3 - 03/23/2016 01:56 PM - Constantin Asofiei

Greg Shah wrote:

Is this still an issue?

 

Yes, for Swing clients.

#4 - 03/23/2016 01:58 PM - Greg Shah

- Target version deleted (Milestone 12)
